%% FILTRO COSENO ALZADO
%<fca>

%PARÁMETROS DE RETORNO:
%g: coefientes del filtro

%PARÁMETROS DE INGRESO:
%M: Número total subsímbolos
%K: Total subportadoras equivalente
%alpha: Factor de roll-off

function g=fca(totNumSubSimb,totSubEq,alpha)
    M = totNumSubSimb;%Número total subsímbolos
    K = totSubEq;%Total subportadoras equivalente
    alpha = 0.3; %Factor de roll-off
    g = rcosdesign(alpha,M,K,'normal');
    g=(fftshift(g(1:length(g)-1))/max(g)).';%Coeficientes del filtro desplazados, normalizados y transpuestos

end

